<?xml version="1.0"?>
<!DOCTYPE logtalk SYSTEM "logtalk.dtd">
<?xml-stylesheet type="text/xsl" href="lgtxml.xsl"?>
<logtalk>
<entity>
<name><![CDATA[event_registryp]]></name>
<type>protocol</type>
<compilation>static</compilation>
<comment><![CDATA[Event registry protocol.]]></comment>
<authors><![CDATA[Paulo Moura]]></authors>
<version>1.0</version>
<date>2000/7/24</date>
</entity>
<relations>
</relations>
<predicates>
<public>
<predicate>
<name><![CDATA[monitors/1]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[monitors(-list)]]></template>
<solutions>one</solutions>
</mode>
<comment><![CDATA[Returns a list of all current monitors.]]></comment>
<template><![CDATA[monitors(Monitors)]]></template>
</predicate>
<predicate>
<name><![CDATA[monitored/1]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[monitored(-list)]]></template>
<solutions>one</solutions>
</mode>
<comment><![CDATA[Returns a list of all currently monitored objects.]]></comment>
<template><![CDATA[monitored(Objects)]]></template>
</predicate>
<predicate>
<name><![CDATA[monitor/4]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[monitor(?object,?nonvar,?object,?object)]]></template>
<solutions>zero_or_more</solutions>
</mode>
<comment><![CDATA[True if the arguments describe a currently defined monitored event.]]></comment>
<template><![CDATA[monitor(Object,Message,Sender,Monitor)]]></template>
</predicate>
<predicate>
<name><![CDATA[set_monitor/4]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[set_monitor(?object,?nonvar,?object,+object)]]></template>
<solutions>zero_or_one</solutions>
</mode>
<comment><![CDATA[Sets a monitor for the set of matching events.]]></comment>
<template><![CDATA[set_monitor(Object,Message,Sender,Monitor)]]></template>
</predicate>
<predicate>
<name><![CDATA[del_monitors/4]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[del_monitors(?object,?nonvar,?object,?object)]]></template>
<solutions>one</solutions>
</mode>
<comment><![CDATA[Deletes all matching monitored events.]]></comment>
<template><![CDATA[del_monitors(Object,Message,Sender,Monitor)]]></template>
</predicate>
<predicate>
<name><![CDATA[del_monitors/0]]></name>
<scope>public</scope>
<compilation>static</compilation>
<mode>
<template><![CDATA[del_monitors]]></template>
<solutions>one</solutions>
</mode>
<comment><![CDATA[Deletes all monitored events.]]></comment>
</predicate>
</public>
<protected>
</protected>
<private>
</private>
</predicates>
</logtalk>
